Delete bot
DELETE
https://api.poe.com/bots/{handle}Overview
Delete an API Bot under your account by handle. This action is permanent and cannot be undone.
Authentication
Send your Poe API key in the Authorization header:
Authorization: Bearer sk_test_51SAMPLEKEYAll requests must be made over HTTPS.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
handle | path | string | Required | The bot's unique handle |
Request body
This endpoint does not accept a JSON request body.
❌ Error codes
| Http | Type | Description |
|---|---|---|
| 401 | error | Authentication failed Incorrect API key provided. You can find your API key at https://poe.com/api/keys. |
| 403 | error | Forbidden Unauthorized to edit bot 'BotHandle' |
| 404 | error | Not found Bot MyBot does not exist or access denied |
🔁 Callbacks & webhooks
No callbacks or webhooks are associated with this endpoint.